export default function () {
  let height=window.innerHeight
  if (height > 1024) {
    height = window.innerHeight*0.88
  }else{
    height = window.innerHeight*0.78
  }
  const options={
    height:height,
    align:'center',
    border: true,
    resizable: true,
    keepSource:true,
    size:'mini',
    showOverflow: true,
    scrollY:{enable:true},
    data:[],
    ycldw:[]
  }
  const ext={}
  const setExt=function (key,value){
    ext[key]=value
  }

  const nameFormat=function ({cellValue}){
    const workers=ext.workers
    for (const item of workers) {
      if(item.userCode===cellValue){
        return item.userName
      }
    }
  }

  const gdhFormat=function ({cellValue}){
    if (cellValue){
      return 'PW'+cellValue
    }
    return ''
  }

  const dwFormat=function ({cellValue}){
    for (const item of options.ycldw) {
      if (cellValue===item.id){
        return item.name
      }
    }
  }
  const columns = [
    { type: 'checkbox', width: 40 },
    { type: 'seq',title:'序号', width: 60 },
    // { field: 'djh',title:'派工单号', width: 120},
    // {field: 'slycldw', title: '垛位', width: 60,formatter: dwFormat},
    // {field: 'slyclcs', title: '层数', width: 60},
    {field: 'plxh', title: '工单号', },
    {field: 'dcCh', title: '船号'},
    {field: 'dcPl', title: '批量', },
    {field: 'total', title: '总数量', },
    {field: 'wpg', title: '待处理数量', },
    {field: 'comp', title: '已报工', },
    {field: 'wwg', title: '未报工', },
    {field: 'compOnLastGx', title: '上道序报工数量', },
    // {field: 'wpgg', title: '材质', width: 80},
    // {field: 'wpxh', title: '规格', width: 70},
    // {field: 'slwlh', title: '炉批号', width: 100},
    // {field: 'tzbh', title: '套料图号', width: 100},
    // {field: 'pwry', title: '接收人', width: 80,formatter:nameFormat},
    // {field: 'pwjssj', title: '接收时间', width: 100},
    // {field: 'pgr', title: '派工人', width: 80},
    // {field: 'pgsj', title: '派工时间', width: 100},
  ]

  return {
    options,
    columns,
    setExt
  }
}
